import React, { HTMLAttributes } from 'react';
import type { DecoratorsType, LocaleMap } from '../../../types';
export type Props = {
    narrow?: boolean;
    invert?: boolean;
    localeMap: LocaleMap;
    locale?: string;
    defaultLocale?: string;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<'triggerLabel' | 'checkIconAlt'>;
    /** 言語切替UIで言語を選択した時に発火するコールバック関数 */
    onLanguageSelect?: (code: string) => void;
};
type ElementProps = Omit<HTMLAttributes<HTMLElement>, keyof Props>;
export declare const LanguageSwitcher: React.FC<Props & ElementProps>;
export {};
